Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class StaxWriter

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlWriter
          com.thoughtworks.xstream.io.xml.StaxWriter

All Implemented Interfaces:
  ExtendedHierarchicalStreamWriter, HierarchicalStreamWriter, XmlFriendlyWriter

Direct Known Subclasses:
  JettisonStaxWriter

    public class StaxWriter

extends AbstractXmlWriter

A stream writing that outputs to a StAX stream writer

Version:
  $Revision: 1466 $
Author:
  James Strachan

Constructor Summary
`StaxWriter(QNameMap qnameMap, javax.xml.stream.XMLStreamWriter out)`
`StaxWriter(QNameMap qnameMap, javax.xml.stream.XMLStreamWriter out, boolean writeEnclosingDocument, boolean namespaceRepairingMode)` Allows a StaxWriter to be created for partial XML output
`StaxWriter(QNameMap qnameMap, javax.xml.stream.XMLStreamWriter out, boolean writeEnclosingDocument, boolean namespaceRepairingMode, XmlFriendlyReplacer replacer)` Allows a StaxWriter to be created for partial XML output

Method Summary
`void` | `addAttribute(String name, String value)`
`void` | `close()` Call this method when you're finished with me
`void` | `endNode()`
`void` | `flush()` Flush the writer, if necessary.
`protected QNameMap` | `getQNameMap()`
`protected javax.xml.stream.XMLStreamWriter` | `getXMLStreamWriter()`
`boolean` | `isNamespaceRepairingMode()` Is StAX namespace repairing mode on or off?
`void` | `setValue(String text)` Write the value (text content) of the current node.
`void` | `startNode(String name)`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlWriter
`escapeXmlName, startNode, underlyingWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaxWriter

    public StaxWriter(QNameMap qnameMap,
                      javax.xml.stream.XMLStreamWriter out)
               throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

### StaxWriter

    public StaxWriter(QNameMap qnameMap,
                      javax.xml.stream.XMLStreamWriter out,
                      boolean writeEnclosingDocument,
                      boolean namespaceRepairingMode)
               throws javax.xml.stream.XMLStreamException

  Allows a StaxWriter to be created for partial XML output

  Parameters:
    `qnameMap` - is the mapper of Java class names to QNames
    `out` - the stream to output to
    `writeEnclosingDocument` - a flag to indicate whether or not the start/end document events should be written
  Throws:
    `javax.xml.stream.XMLStreamException` - if the events could not be written to the output

### StaxWriter

    public StaxWriter(QNameMap qnameMap,
                      javax.xml.stream.XMLStreamWriter out,
                      boolean writeEnclosingDocument,
                      boolean namespaceRepairingMode,
                      XmlFriendlyReplacer replacer)
               throws javax.xml.stream.XMLStreamException

  Allows a StaxWriter to be created for partial XML output

  Parameters:
    `qnameMap` - is the mapper of Java class names to QNames
    `out` - the stream to output to
    `writeEnclosingDocument` - a flag to indicate whether or not the start/end document events should be written
    `replacer` - the xml-friendly replacer to escape Java names
  Throws:
    `javax.xml.stream.XMLStreamException` - if the events could not be written to the output
  Since:
    1.2

Method Detail

### flush

    public void flush()

  Description copied from interface: `HierarchicalStreamWriter`
  Flush the writer, if necessary.

### close

    public void close()

  Call this method when you're finished with me

### addAttribute

    public void addAttribute(String name,
                             String value)

### endNode

    public void endNode()

### setValue

    public void setValue(String text)

  Description copied from interface: `HierarchicalStreamWriter`
  Write the value (text content) of the current node.

### startNode

    public void startNode(String name)

### isNamespaceRepairingMode

    public boolean isNamespaceRepairingMode()

  Is StAX namespace repairing mode on or off?

### getQNameMap

    protected QNameMap getQNameMap()

### getXMLStreamWriter

    protected javax.xml.stream.XMLStreamWriter getXMLStreamWriter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.